Component({
  options: {
    addGlobalClass: true,
  },
  properties: {
    list: {
      type: Array
    },
    onClick: {
      type: Function
    }
  },
  methods: {
    clickItem(e) {
      const {
        item
      } = e.currentTarget.dataset;
      this.triggerEvent("onClick", item)
    }
  }
})